Bug 216552 - Multiple usability issues with puplet
Multiple usability issues with puplet
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Luke Macken
bzcl34nup
: Desktop
: 216836 376191 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 20:17 EST by Sam Varshavchik
Modified: 2016-09-19 22:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2006-11-20 20:17:08 EST
Description of problem:

Puplet has several user interface issues related to updates that are linked to
one or more Bugzilla entries.

Version-Release number of selected component (if applicable):

1.2.8-1

How reproducible:

Always

Steps to Reproduce:
1. Log on to the Gnome desktop, as a non-root user
2. Run "Software Update Notifier"
3. Supply your root password, when prompted
4. Choose an available update, whose metadata includes a link to a bugzilla entry.
5. Expand "update details"
6. Click on one of the bug numbers
  
Actual results:

1. There is no visible user feedback when the mouse pointer hovers over the bug
number hyperlink.  There is no visible user feedback when the mouse button is
clicked.  As such, at first I thought that the underlined blue bug number is
just visual frill, and the actual hyperlink function to Bugzilla has not been
implemented yet.  Then, Firefox tried to start, five seconds later...

2. Firefox gets started as root!  If Firefox is already running, under your own
non-root login id, the interaction between two competing instances of Firefox,
running under two different uid, on the same display, is rather unpleasant.
Furthermore, there is no indication that Firefox was started as root, which is
likely to have a number of security-related implications.

You logged in under your own, non-root uid.  When Firefox starts up, you expect
it running under your login id, not root!
Comment 1 Jeremy Katz 2006-11-27 17:30:10 EST
*** Bug 216836 has been marked as a duplicate of this bug. ***
Comment 2 Luke Macken 2006-12-01 00:35:29 EST
I disabled bug/cve links in CVS until we can figure out a sane way to fix this
(suggestions welcome).  Jeremy is going to be doing a pirut update shortly.
Comment 3 Sam Varshavchik 2006-12-01 07:15:32 EST
By doing nothing more than carefully reading the contents of /proc, a process
may walk the process tree starting with itself, all the way back to init.

pirut runs as root.  It can begin walking the process tree, stopping as soon as
it finds its first parent ancestor that's not root, and before running mozilla,
drop its root privileges accordingly.
Comment 4 Jeremy Katz 2006-12-01 09:06:43 EST
(In reply to comment #3)
> By doing nothing more than carefully reading the contents of /proc, a process
> may walk the process tree starting with itself, all the way back to init.
> 
> pirut runs as root.  It can begin walking the process tree, stopping as soon as
> it finds its first parent ancestor that's not root, and before running mozilla,
> drop its root privileges accordingly.

There are situations where this won't work for running X apps (think standard
xauth cookies + home in AFS)
Comment 5 Sam Varshavchik 2006-12-01 17:27:15 EST
Then rather than running linking to consolehelper directly, a helper program
should set up a pipe, then run consolehelper.  Pirut will then use the pipe back
to communicate with the helper program, running in the original user context,
and have it start firefox for any URLs the user opens.
Comment 6 Jeremy Katz 2007-11-12 11:33:17 EST
*** Bug 376191 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2008-04-04 00:49:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:53:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.